export declare const enum Token {
    Type = 255,
    PrecStart = 8,
    Precedence = 3840,
    Keyword = 4096,
    Contextual = 12288,
    Reserved = 20480,
    FutureReserved = 36864,
    IsLogical = 65536,
    IsExpressionStart = 131072,
    IsIdentifier = 274432,
    IsAwait = 524288,
    IsAsync = 1048576,
    IsYield = 2097152,
    IsGenerator = 4194304,
    IsAssignOp = 8388608,
    IsBinaryOp = 16908288,
    IsUnaryOp = 33685504,
    IsUpdateOp = 67239936,
    IsLexical = 134217728,
    IsVarDecl = 268435456,
    ASI = 536870912,
    WhiteSpace = 1073741824,
    EndOfSource = 536870912,
    Identifier = 405505,
    NumericLiteral = 131074,
    StringLiteral = 131075,
    RegularExpression = 131076,
    FalseKeyword = 151557,
    TrueKeyword = 151558,
    NullKeyword = 151559,
    TemplateCont = 131080,
    TemplateTail = 131081,
    Arrow = 131082,
    LeftParen = 131083,
    LeftBrace = 131084,
    Period = 13,
    Ellipsis = 14,
    RightBrace = 536870927,
    RightParen = 16,
    Semicolon = 536870929,
    Comma = 18,
    LeftBracket = 131091,
    RightBracket = 20,
    Colon = 21,
    QuestionMark = 22,
    SingleQuote = 23,
    DoubleQuote = 24,
    JSXClose = 25,
    JSXAutoClose = 26,
    Increment = 67239963,
    Decrement = 67239964,
    Assign = 8388637,
    ShiftLeftAssign = 8388638,
    ShiftRightAssign = 8388639,
    LogicalShiftRightAssign = 8388640,
    ExponentiateAssign = 8388641,
    AddAssign = 8388642,
    SubtractAssign = 8388643,
    MultiplyAssign = 8388644,
    DivideAssign = 8519717,
    ModuloAssign = 8388646,
    BitwiseXorAssign = 8388647,
    BitwiseOrAssign = 8388648,
    BitwiseAndAssign = 8388649,
    TypeofKeyword = 33706026,
    DeleteKeyword = 33706027,
    VoidKeyword = 33706028,
    Negate = 33685549,
    Complement = 33685550,
    Add = 50465071,
    Subtract = 50465072,
    InKeyword = 33707825,
    InstanceofKeyword = 16930610,
    Multiply = 21105203,
    Modulo = 16910900,
    Divide = 16910901,
    Exponentiate = 16911158,
    LogicalAnd = 16974391,
    LogicalOr = 16974136,
    StrictEqual = 16909881,
    StrictNotEqual = 16909882,
    LooseEqual = 16909883,
    LooseNotEqual = 16909884,
    LessThanOrEqual = 16910141,
    GreaterThanOrEqual = 16910142,
    LessThan = 16910143,
    GreaterThan = 16910144,
    ShiftLeft = 16910401,
    ShiftRight = 16910402,
    LogicalShiftRight = 16910403,
    BitwiseAnd = 16909636,
    BitwiseOr = 16909125,
    BitwiseXor = 16909382,
    VarKeyword = 268587079,
    LetKeyword = 402821192,
    ConstKeyword = 402804809,
    BreakKeyword = 20554,
    CaseKeyword = 20555,
    CatchKeyword = 20556,
    ClassKeyword = 151629,
    ContinueKeyword = 20558,
    DebuggerKeyword = 20559,
    DefaultKeyword = 20560,
    DoKeyword = 20561,
    ElseKeyword = 20562,
    ExportKeyword = 20563,
    ExtendsKeyword = 20564,
    FinallyKeyword = 20565,
    ForKeyword = 20566,
    FunctionKeyword = 151639,
    IfKeyword = 20568,
    ImportKeyword = 151641,
    NewKeyword = 151642,
    ReturnKeyword = 20571,
    SuperKeyword = 151644,
    SwitchKeyword = 151645,
    ThisKeyword = 151646,
    ThrowKeyword = 151647,
    TryKeyword = 20576,
    WhileKeyword = 20577,
    WithKeyword = 20578,
    ImplementsKeyword = 36963,
    InterfaceKeyword = 36964,
    PackageKeyword = 36965,
    PrivateKeyword = 36966,
    ProtectedKeyword = 36967,
    PublicKeyword = 36968,
    StaticKeyword = 36969,
    YieldKeyword = 2265194,
    AsKeyword = 16920683,
    AsyncKeyword = 1060972,
    AwaitKeyword = 667757,
    ConstructorKeyword = 12398,
    GetKeyword = 12399,
    SetKeyword = 12400,
    FromKeyword = 12401,
    OfKeyword = 12402,
    EnumKeyword = 20595,
    At = 115,
    BigIntLiteral = 116,
    JSXText = 117,
    PrivateName = 119,
    Global = 125,
    EscapedStrictReserved = 126,
    EscapedKeyword = 121
}
export declare const KeywordDescTable: string[];
export declare const descKeywordTable: {
    [key: string]: Token;
};
//# sourceMappingURL=token.d.ts.map